%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname progressbar
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Ruby text progress bar generator library
Name: rubygem-%{gemname}
Version: 0.9.0
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://github.com/peleteiro/progressbar
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Patch0: %{name}-test-load-path-fix.patch
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
ProgressBar is a text progress bar library for Ruby. It can indicate
progress with percentage, a progress bar, and estimated remaining time.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T 
mkdir -p ./%{gemdir}
gem install \
	--local \
	--install-dir ./%{gemdir} \
	-V --force --rdoc \
	%{SOURCE0}
pushd .%{geminstdir}
%patch0
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* %{buildroot}%{gemdir}
iconv --from=EUC-JP --to=UTF-8 %{buildroot}%{geminstdir}/README.ja.rd > %{buildroot}%{geminstdir}/README.ja.rd.utf8 && \
touch -r %{buildroot}%{geminstdir}/README.ja.rd %{buildroot}%{geminstdir}/README.ja.rd.utf8 && \
mv -f %{buildroot}%{geminstdir}/README.ja.rd.utf8 %{buildroot}%{geminstdir}/README.ja.rd

%check
pushd %{buildroot}/%{geminstdir}/test
ruby test.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.en.rd
%doc %{geminstdir}/README.ja.rd
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/test

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 29 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.0-2
- Fixed encoding on README.ja.rd
- Changed way how patch is applied
- Removed unneeded bindir macro
- License changed to Ruby

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.0-1
- Initial package
